<h1 mat-dialog-title>Hero Editor</h1>
<div>
    <form>
        <div>
            <label for="heroName">Name</label><br>
            <input [(ngModel)]="hero.heroName" id="heroName" type="text" name="heroName"/><br>
        </div>
        <div>
            <label for="Age">Age</label><br>
            <input [(ngModel)]="hero.age" id="Age" type="number" name="age"><br/>
        </div>
        <div>
            <label for="Gender">Gender</label><br>
            <select [(ngModel)]="hero.gender" id="Gender" name="gender" >
                <option>MALE</option>
                <option>FEMALE</option>
                <option>BINARY</option>
            </select><br/>
        </div>
        <div>
            <label for="Signs">Signs</label><br>
            <input [(ngModel)]="hero.signs" id="Signs" type="text" name="signs"><br/>
        </div>
        <div>
            <label for="Notes">Notes</label><br>
            <input [(ngModel)]="hero.notes" id="Notes" type="text" name="notes"><br/>
        </div>
        <button mat-icon-button [mat-dialog-close]="hero" style="color: black;"><mat-icon>done</mat-icon></button>
        <button mat-icon-button [mat-dialog-close]="null" style="color: red;"><mat-icon>clear</mat-icon></button>
    </form>
</div>